Compare commits

...
36 Commits
13 ... 89
Author SHA1 Message Date
nezumi 9a7d8890aa Update build.sh 2025-05-18 10:16:54 +07:00
nezumi 57d950f57f Update build.sh 2025-05-18 10:06:28 +07:00
nezumi e0a5116d13 Update config.toml 2025-05-18 10:06:05 +07:00
nezumi 6e4565bc1b Update build.sh 2025-05-15 00:11:34 +07:00
nezumi f6d783c176 fix: ignore skipped content 2025-05-02 10:19:13 +07:00
nezumi 2da4a7c7cd update spotify config 2025-04-07 19:25:50 +07:00
nezumi 11af439fd5 add spotify patch 2025-04-07 19:16:28 +07:00
nezumi 1adcc80512 update github action 2025-04-03 22:54:01 +07:00
nezumi 596241c5d7 update github action 2025-04-03 22:51:51 +07:00
nezumi 26540719e9 update config 2025-04-03 22:49:57 +07:00
Loi Phan fbf816533d Update build.yml 2025-02-03 16:47:06 +07:00
Loi Phan d6582d2d63 Update ci.yml 2025-01-30 11:17:50 +07:00
Loi Phan 1a2af75601 Update config.toml 2025-01-30 11:15:35 +07:00
Loi Phan 6b33d5841d Update config.toml 2025-01-30 11:09:49 +07:00
Loi Phan 9f6f043d9a Update config.toml 2025-01-30 10:35:47 +07:00
Loi Phan 88ea74d38f Update ci.yml 2025-01-30 10:20:11 +07:00
Loi Phan ea7dd1d777 Update config.toml 2025-01-30 10:18:56 +07:00
Loi Phan 39e551c73c Update ci.yml 2025-01-30 09:59:04 +07:00
Loi Phan b5aac3781a Update ci.yml 2025-01-30 09:58:26 +07:00
Loi Phan 9ff2c72375 Update ci.yml 2025-01-30 09:57:34 +07:00
Loi Phan e65dfdaa1b Update config.toml 2025-01-30 09:57:20 +07:00
Loi Phan b2312718f9 Update config.toml 2025-01-30 09:53:07 +07:00
Loi Phan f1e8080202 Update config.toml 2025-01-30 09:51:19 +07:00
Loi Phan f428ad0cfe Update ci.yml 2025-01-30 09:50:21 +07:00
Loi Phan d28118c98c Update ci.yml 2025-01-30 09:42:54 +07:00
Loi Phan edfe08657a Update ci.yml 2025-01-30 09:42:09 +07:00
Loi Phan 03352030a1 Update README.md 2025-01-30 09:36:01 +07:00
Loi Phan c57014a391 update config 2025-01-30 09:33:24 +07:00
Loi Phan 1167a7c636 Update config.toml 2025-01-30 09:27:20 +07:00
Loi Phan fb7222a28f Update config.toml 2025-01-30 09:19:27 +07:00
nezumi 8e8c8634ef update config.toml 2025-01-22 22:00:09 +07:00
nezumi 7deb883720 update config 2025-01-22 20:25:45 +07:00
nezumi be1c20bb87 update config 2025-01-22 20:03:31 +07:00
nezumi 88a00ca413 update config 2025-01-22 19:41:27 +07:00
nezumi 788b36f083 update config 2025-01-22 19:24:00 +07:00
nezumi ae43197aa0 update config 2025-01-22 18:59:05 +07:00
7 changed files with 172 additions and 128 deletions
+65 -22
View File
@@ -174,35 +174,78 @@ jobs:
${BODY}
**Download Links:**
"
MODULES_MSG="
**Modules:**
${MODULES}
"
APKS_MSG="
**APKs:**
${APKS}
"
# Function to split messages by line and send them
send_discord_message() {
local message="$1"
local buffer=""
while IFS= read -r line || [ -n "$line" ]; do
# Check if adding the current line exceeds 2000 characters
if [ ${#buffer} -ge 2000 ]; then
# Send the current buffer and reset it
curl -X POST -H "Content-Type: application/json" \
-d "$(jq -n --arg content "$buffer" '{content: $content}')" \
"$DISCORD_WEBHOOK_URL"
buffer=""
fi
buffer+="$line\n"
done <<< "$message"
curl -X POST -H "Content-Type: application/json" \
-d "$(jq -n --arg content "$MSG" '{content: $content}')" \
"$DISCORD_WEBHOOK_URL"
# curl -X POST -H "Content-Type: application/json" \
# -d "$(jq -n --arg content "$MODULES_MSG" '{content: $content}')" \
# "$DISCORD_WEBHOOK_URL"
curl -X POST -H "Content-Type: application/json" \
-d "$(jq -n --arg content "$APKS_MSG" '{content: $content}')" \
"$DISCORD_WEBHOOK_URL"
- name: Report to Noob Discord
env:
DISCORD_WEBHOOK_NOOB_URL: ${{ secrets.DISCORD_WEBHOOK_NOOB_URL }}
if: env.DISCORD_WEBHOOK_NOOB_URL != null
run: |
cd build || { echo "build folder not found"; exit 1; }
# Send any remaining content in the buffer
if [ -n "$buffer" ]; then
curl -X POST -H "Content-Type: application/json" \
-d "$(jq -n --arg content "$buffer" '{content: $content}')" \
"$DISCORD_WEBHOOK_URL"
NL=$'\n'
APKS=""
MODULES=""
for OUTPUT in *; do
DL_URL="$GITHUB_SERVER_URL/$GITHUB_REPOSITORY/releases/download/${{ steps.next_ver_code.outputs.NEXT_VER_CODE }}/${OUTPUT}"
if [[ $OUTPUT = *.apk ]]; then
APKS+="${NL}- [${OUTPUT}](${DL_URL})"
elif [[ $OUTPUT = *.zip ]]; then
MODULES+="${NL}- [${OUTPUT}](${DL_URL})"
fi
}
done
send_discord_message "$MSG"
MODULES=${MODULES#"$NL"}
APKS=${APKS#"$NL"}
BODY="$(sed 's/^\* \*\*/- \*\*/g; s/^\* `/- \*\*/g; s/`/\*/g; s/^\* /\-/g; s/\*\*/\*/g; s/###//g; s/^- /- /g; /^==/d;' ../build.md)"
MSG="**New build is ready!**
${BODY}
**Download Links:**
"
MODULES_MSG="
**Modules:**
${MODULES}
"
APKS_MSG="
**APKs:**
${APKS}
"
curl -X POST -H "Content-Type: application/json" \
-d "$(jq -n --arg content "$MSG" '{content: $content}')" \
"$DISCORD_WEBHOOK_NOOB_URL"
# curl -X POST -H "Content-Type: application/json" \
# -d "$(jq -n --arg content "$MODULES_MSG" '{content: $content}')" \
# "$DISCORD_WEBHOOK_NOOB_URL"
curl -X POST -H "Content-Type: application/json" \
-d "$(jq -n --arg content "$APKS_MSG" '{content: $content}')" \
"$DISCORD_WEBHOOK_NOOB_URL"
+1 -1
View File
@@ -46,5 +46,5 @@ jobs:
permissions: write-all
needs: check
uses: ./.github/workflows/build.yml
if: ${{ needs.check.outputs.SHOULD_BUILD == 0 }}
if: ${{ needs.check.outputs.SHOULD_BUILD == 1 }}
secrets: inherit
+1 -1
View File
@@ -26,7 +26,7 @@ until
do sleep 1; done
if [ ! -f ~/.rvmm_"$(date '+%Y%m')" ]; then
pr "Setting up environment..."
yes "" | pkg update -y && pkg install -y git curl jq openjdk-17 zip
yes "" | pkg update -y && pkg upgrade -y && pkg install -y git curl jq openjdk-17 zip
: >~/.rvmm_"$(date '+%Y%m')"
fi
mkdir -p /sdcard/Download/revanced-magisk-module/
+14 -14
View File
@@ -10,6 +10,11 @@ if [ "${1-}" = "clean" ]; then
fi
source utils.sh
jq --version >/dev/null || abort "\`jq\` is not installed. install it with 'apt install jq' or equivalent"
java --version >/dev/null || abort "\`openjdk 17\` is not installed. install it with 'apt install openjdk-17-jre' or equivalent"
zip --version >/dev/null || abort "\`zip\` is not installed. install it with 'apt install zip' or equivalent"
set_prebuilts
vtf() { if ! isoneof "${1}" "true" "false"; then abort "ERROR: '${1}' is not a valid option for '${2}': only true or false is allowed"; fi; }
@@ -42,10 +47,6 @@ if [ "$ENABLE_MAGISK_UPDATE" = true ] && [ -z "${GITHUB_REPOSITORY-}" ]; then
fi
if ((COMPRESSION_LEVEL > 9)) || ((COMPRESSION_LEVEL < 0)); then abort "compression-level must be within 0-9"; fi
jq --version >/dev/null || abort "\`jq\` is not installed. install it with 'apt install jq' or equivalent"
java --version >/dev/null || abort "\`openjdk 17\` is not installed. install it with 'apt install openjdk-17-jre' or equivalent"
zip --version >/dev/null || abort "\`zip\` is not installed. install it with 'apt install zip' or equivalent"
rm -rf revanced-magisk/bin/*/tmp.*
if [ "$(echo "$TEMP_DIR"/*-rv/changelog.md)" ]; then
: >"$TEMP_DIR"/*-rv/changelog.md || :
@@ -132,24 +133,18 @@ for table_name in $(toml_get_table_names); do
app_args[dpi]=$(toml_get "$t" apkmirror-dpi) || app_args[dpi]="nodpi"
table_name_f=${table_name,,}
table_name_f=${table_name_f// /-}
app_args[module_prop_name]=$(toml_get "$t" module-prop-name) || {
app_args[module_prop_name]="${table_name_f}-jhc"
if [ "${app_args[arch]}" = "arm64-v8a" ]; then
app_args[module_prop_name]="${app_args[module_prop_name]}-arm64"
elif [ "${app_args[arch]}" = "arm-v7a" ]; then
app_args[module_prop_name]="${app_args[module_prop_name]}-arm"
fi
}
app_args[module_prop_name]=$(toml_get "$t" module-prop-name) || app_args[module_prop_name]="${table_name_f}-jhc"
if [ "${app_args[arch]}" = both ]; then
app_args[table]="$table_name (arm64-v8a)"
app_args[arch]="arm64-v8a"
app_args[module_prop_name]="${app_args[module_prop_name]}-arm64"
module_prop_name_b=${app_args[module_prop_name]}
app_args[module_prop_name]="${module_prop_name_b}-arm64"
idx=$((idx + 1))
build_rv "$(declare -p app_args)" &
app_args[table]="$table_name (arm-v7a)"
app_args[arch]="arm-v7a"
app_args[module_prop_name]="${app_args[module_prop_name]}-arm"
app_args[module_prop_name]="${module_prop_name_b}-arm"
if ((idx >= PARALLEL_JOBS)); then
wait -n
idx=$((idx - 1))
@@ -157,6 +152,11 @@ for table_name in $(toml_get_table_names); do
idx=$((idx + 1))
build_rv "$(declare -p app_args)" &
else
if [ "${app_args[arch]}" = "arm64-v8a" ]; then
app_args[module_prop_name]="${app_args[module_prop_name]}-arm64"
elif [ "${app_args[arch]}" = "arm-v7a" ]; then
app_args[module_prop_name]="${app_args[module_prop_name]}-arm"
fi
idx=$((idx + 1))
build_rv "$(declare -p app_args)" &
fi
+10 -24
View File
@@ -8,7 +8,7 @@ parallel-jobs = 1
[YouTube]
build-mode = "both"
excluded-patches = "'Hide timestamp'"
excluded-patches = ""
included-patches = ""
version = "auto"
apkmirror-dlurl = "https://www.apkmirror.com/apk/google-inc/youtube"
@@ -29,34 +29,20 @@ version = "auto"
apkmirror-dlurl = "https://www.apkmirror.com/apk/google-inc/photos/"
uptodown-dlurl = "https://google-photos.en.uptodown.com/android"
[Music-Extended]
app-name = "Music"
patches-source = "inotia00/revanced-patches"
cli-source = "inotia00/revanced-cli"
rv-brand = "ReVanced Extended"
build-mode = "both"
arch = "both"
apkmirror-dlurl = "https://www.apkmirror.com/apk/google-inc/youtube-music"
# archive-dlurl = "https://archive.org/download/jhc-apks/apks/com.google.android.apps.youtube.music"
[Spotify]
uptodown-dlurl = "https://spotify.en.uptodown.com/android"
[YouTube-Extended]
app-name = "YouTube"
patches-source = "inotia00/revanced-patches"
cli-source = "inotia00/revanced-cli"
rv-brand = "ReVanced Extended"
build-mode = "both"
build-mode = "apk"
version = "auto"
apkmirror-dlurl = "https://www.apkmirror.com/apk/google-inc/youtube"
included-patches = "'Custom header for YouTube'"
excluded-patches = "'Custom branding icon for YouTube' 'Custom branding name for YouTube'"
# archive-dlurl = "https://archive.org/download/jhc-apks/apks/com.google.android.youtube"
[Reddit-Extended]
patches-source = "inotia00/revanced-patches"
cli-source = "inotia00/revanced-cli"
rv-brand = "ReVanced Extended"
apkmirror-dlurl = "https://www.apkmirror.com/apk/redditinc/reddit/"
# archive-dlurl = "https://archive.org/download/jhc-apks/apks/com.reddit.frontpage"
uptodown-dlurl = "https://youtube.en.uptodown.com/android"
included-patches = "'Custom header for YouTube' 'MaterialYou' 'Hide Shorts dimming'"
excluded-patches = "'Custom branding icon for YouTube' 'Custom branding name for YouTube' 'Disable splash animation'"
[TikTok]
enabled = false
@@ -68,6 +54,6 @@ enabled = false
apkmirror-dlurl = "https://www.apkmirror.com/apk/facebook-2/messenger/"
arch = "arm64-v8a"
[Spotify]
[IconPackStudio]
enabled = false
uptodown-dlurl = "https://spotify.en.uptodown.com/android"
apkmirror-dlurl = "https://www.apkmirror.com/apk/smart-launcher-team/icon-pack-studio/"
+21 -12
View File
@@ -84,21 +84,24 @@ install() {
abort "ERROR: Stock $PKG_NAME apk was not found"
fi
ui_print "* Updating $PKG_NAME to $PKG_VER"
VERIF_ADB=$(settings get global verifier_verify_adb_installs)
install_err=""
VERIF1=$(settings get global verifier_verify_adb_installs)
VERIF2=$(settings get global package_verifier_enable)
settings put global verifier_verify_adb_installs 0
settings put global package_verifier_enable 0
SZ=$(stat -c "%s" "$MODPATH/$PKG_NAME.apk")
for IT in 1 2; do
if ! SES=$(pmex install-create --user 0 -i com.android.vending -r -d -S "$SZ"); then
ui_print "ERROR: install-create failed"
settings put global verifier_verify_adb_installs "$VERIF_ADB"
abort "$SES"
install_err="$SES"
break
fi
SES=${SES#*[} SES=${SES%]*}
set_perm "$MODPATH/$PKG_NAME.apk" 1000 1000 644 u:object_r:apk_data_file:s0
if ! op=$(pmex install-write -S "$SZ" "$SES" "$PKG_NAME.apk" "$MODPATH/$PKG_NAME.apk"); then
ui_print "ERROR: install-write failed"
settings put global verifier_verify_adb_installs "$VERIF_ADB"
abort "$op"
install_err="$op"
break
fi
if ! op=$(pmex install-commit "$SES"); then
if echo "$op" | grep -q INSTALL_FAILED_VERSION_DOWNGRADE; then
@@ -111,29 +114,35 @@ install() {
ui_print "* Created the uninstall script."
ui_print ""
ui_print "* Reboot and reflash the module!"
abort
install_err=" "
break
else
ui_print "* Uninstalling..."
if ! op=$(pmex uninstall -k --user 0 "$PKG_NAME"); then
ui_print "$op"
if [ $IT = 2 ]; then abort "ERROR: pm uninstall failed."; fi
if [ $IT = 2 ]; then
install_err="ERROR: pm uninstall failed."
break
fi
fi
continue
fi
fi
ui_print "ERROR: install-commit failed"
settings put global verifier_verify_adb_installs "$VERIF_ADB"
abort "$op"
install_err="$op"
break
fi
if BASEPATH=$(pmex path "$PKG_NAME"); then
BASEPATH=${BASEPATH##*:} BASEPATH=${BASEPATH%/*}
else
settings put global verifier_verify_adb_installs "$VERIF_ADB"
abort "ERROR: install $PKG_NAME manually and reflash the module"
install_err="ERROR: install $PKG_NAME manually and reflash the module"
break
fi
break
done
settings put global verifier_verify_adb_installs "$VERIF_ADB"
settings put global verifier_verify_adb_installs "$VERIF1"
settings put global package_verifier_enable "$VERIF2"
if [ "$install_err" ]; then abort "$install_err"; fi
}
if [ $INS = true ] && ! install; then abort; fi
BASEPATHLIB=${BASEPATH}/lib/${ARCH}
+60 -54
View File
@@ -122,16 +122,12 @@ get_rv_prebuilts() {
set_prebuilts() {
APKSIGNER="${BIN_DIR}/apksigner.jar"
if [ "$OS" = Android ]; then
local arch
if [ "$(uname -m)" = aarch64 ]; then arch=arm64; else arch=arm; fi
HTMLQ="${BIN_DIR}/htmlq/htmlq-${arch}"
AAPT2="${BIN_DIR}/aapt2/aapt2-${arch}"
TOML="${BIN_DIR}/toml/tq-${arch}"
else
HTMLQ="${BIN_DIR}/htmlq/htmlq-x86_64"
TOML="${BIN_DIR}/toml/tq-x86_64"
fi
local arch
arch=$(uname -m)
if [ "$arch" = aarch64 ]; then arch=arm64; elif [ "${arch:0:5}" = "armv7" ]; then arch=arm; fi
HTMLQ="${BIN_DIR}/htmlq/htmlq-${arch}"
AAPT2="${BIN_DIR}/aapt2/aapt2-${arch}"
TOML="${BIN_DIR}/toml/tq-${arch}"
}
config_update() {
@@ -187,7 +183,10 @@ _req() {
local ip="$1" op="$2"
shift 2
if [ "$op" = - ]; then
curl -L -c "$TEMP_DIR/cookie.txt" -b "$TEMP_DIR/cookie.txt" --connect-timeout 5 --retry 0 --fail -s -S "$@" "$ip"
if ! curl -L -c "$TEMP_DIR/cookie.txt" -b "$TEMP_DIR/cookie.txt" --connect-timeout 5 --retry 0 --fail -s -S "$@" "$ip"; then
epr "Request failed: $ip"
return 1
fi
else
if [ -f "$op" ]; then return; fi
local dlp
@@ -196,7 +195,10 @@ _req() {
while [ -f "$dlp" ]; do sleep 1; done
return
fi
curl -L -c "$TEMP_DIR/cookie.txt" -b "$TEMP_DIR/cookie.txt" --connect-timeout 5 --retry 0 --fail -s -S "$@" "$ip" -o "$dlp" || return 1
if ! curl -L -c "$TEMP_DIR/cookie.txt" -b "$TEMP_DIR/cookie.txt" --connect-timeout 5 --retry 0 --fail -s -S "$@" "$ip" -o "$dlp"; then
epr "Request failed: $ip"
return 1
fi
mv -f "$dlp" "$op"
fi
}
@@ -261,17 +263,18 @@ isoneof() {
merge_splits() {
local bundle=$1 output=$2
pr "Merging splits"
gh_dl "$TEMP_DIR/apkeditor.jar" "https://github.com/REAndroid/APKEditor/releases/download/V1.3.9/APKEditor-1.3.9.jar" >/dev/null || return 1
gh_dl "$TEMP_DIR/apkeditor.jar" "https://github.com/REAndroid/APKEditor/releases/download/V1.4.2/APKEditor-1.4.2.jar" >/dev/null || return 1
if ! OP=$(java -jar "$TEMP_DIR/apkeditor.jar" merge -i "${bundle}" -o "${bundle}.mzip" -clean-meta -f 2>&1); then
epr "$OP"
epr "Apkeditor ERROR: $OP"
return 1
fi
# this is required because of apksig
mkdir "${bundle}-zip"
unzip -qo "${bundle}.mzip" -d "${bundle}-zip"
pushd "${bundle}-zip" || abort
zip -0rq "${CWD}/${bundle}.zip" .
popd || abort
(
cd "${bundle}-zip" || abort
zip -0rq "${CWD}/${bundle}.zip" .
)
# if building module, sign the merged apk properly
if isoneof "module" "${build_mode_arr[@]}"; then
patch_apk "${bundle}.zip" "${output}" "--exclusive" "${args[cli]}" "${args[ptjar]}"
@@ -310,8 +313,10 @@ dl_apkmirror() {
is_bundle=true
else
if [ "$arch" = "arm-v7a" ]; then arch="armeabi-v7a"; fi
local resp node app_table dlurl=""
url="${url}/${url##*/}-${version//./-}-release/"
local resp node app_table uurl dlurl=""
uurl=$(grep -F "downloadLink" <<<"$__APKMIRROR_RESP__" | grep -F "${version//./-}-release/" | head -1 |
sed -n 's;.*href="\(.*-release\).*;\1;p')
if [ -z "$uurl" ]; then url="${url}/${url##*/}-${version//./-}-release/"; else url=https://www.apkmirror.com$uurl; fi
resp=$(req "$url" -) || return 1
node=$($HTMLQ "div.table-row.headerFont:nth-last-child(1)" -r "span:nth-child(n+3)" <<<"$resp")
if [ "$node" ]; then
@@ -328,10 +333,10 @@ dl_apkmirror() {
fi
if [ "$is_bundle" = true ]; then
req "$url" "${output}.apkm"
req "$url" "${output}.apkm" || return 1
merge_splits "${output}.apkm" "${output}"
else
req "$url" "${output}"
req "$url" "${output}" || return 1
fi
}
get_apkmirror_vers() {
@@ -364,35 +369,47 @@ get_uptodown_resp() {
get_uptodown_vers() { $HTMLQ --text ".version" <<<"$__UPTODOWN_RESP__"; }
dl_uptodown() {
local uptodown_dlurl=$1 version=$2 output=$3 arch=$4 _dpi=$5
local apparch
if [ "$arch" = "arm-v7a" ]; then arch="armeabi-v7a"; fi
if [ "$arch" = all ]; then
apparch=('arm64-v8a, armeabi-v7a, x86, x86_64' 'arm64-v8a, armeabi-v7a')
else apparch=("$arch" 'arm64-v8a, armeabi-v7a, x86, x86_64' 'arm64-v8a, armeabi-v7a'); fi
local op resp data_code
data_code=$($HTMLQ "#detail-app-name" --attribute data-code <<<"$__UPTODOWN_RESP__")
local versionURL=""
local is_bundle=false
for i in {1..5}; do
resp=$(req "${uptodown_dlurl}/apps/${data_code}/versions/${i}" -)
if ! op=$(jq -e -r ".data | map(select(.version == \"${version}\" and .kindFile == \"apk\")) | .[0]" <<<"$resp"); then
if ! op=$(jq -e -r ".data | map(select(.version == \"${version}\")) | .[0]" <<<"$resp"); then
continue
fi
if [ "$(jq -e -r ".kindFile" <<<"$op")" = "xapk" ]; then is_bundle=true; fi
if versionURL=$(jq -e -r '.versionURL' <<<"$op"); then break; else return 1; fi
done
if [ -z "$versionURL" ]; then return 1; fi
resp=$(req "$versionURL" -) || return 1
if [ "$arch" != all ]; then
local data_version files node_arch data_file_id
data_version=$($HTMLQ '.button.variants' --attribute data-version <<<"$resp") || return 1
files=$(req "${uptodown_dlurl%/*}/app/${data_code}/version/${data_version}/files" - | jq -e -r .content) || return 1
for ((n = 1; n < 12; n += 2)); do
node_arch=$($HTMLQ ".content > p:nth-child($n)" --text <<<"$files" | xargs) || return 1
if [ -z "$node_arch" ]; then return 1; fi
if [ "$node_arch" != "$arch" ]; then continue; fi
data_file_id=$($HTMLQ "div.variant:nth-child($((n + 1))) > .v-report" --attribute data-file-id <<<"$files") || return 1
resp=$(req "${uptodown_dlurl}/download/${data_file_id}" -)
break
done
fi
local data_version files node_arch data_file_id
data_version=$($HTMLQ '.button.variants' --attribute data-version <<<"$resp") || return 1
files=$(req "${uptodown_dlurl%/*}/app/${data_code}/version/${data_version}/files" - | jq -e -r .content) || return 1
for ((n = 1; n < 12; n += 2)); do
node_arch=$($HTMLQ ".content > p:nth-child($n)" --text <<<"$files" | xargs) || return 1
if [ -z "$node_arch" ]; then return 1; fi
if ! isoneof "$node_arch" "${apparch[@]}"; then continue; fi
data_file_id=$($HTMLQ "div.variant:nth-child($((n + 1))) > .v-report" --attribute data-file-id <<<"$files") || return 1
resp=$(req "${uptodown_dlurl}/download/${data_file_id}-x" -)
break
done
local data_url
data_url=$($HTMLQ "#detail-download-button" --attribute data-url <<<"$resp") || return 1
req "https://dw.uptodown.com/dwn/${data_url}" "$output"
if [ $is_bundle = true ]; then
req "https://dw.uptodown.com/dwn/${data_url}" "$output.apkm" || return 1
merge_splits "${output}.apkm" "${output}"
else
req "https://dw.uptodown.com/dwn/${data_url}" "$output"
fi
}
get_uptodown_pkg_name() { $HTMLQ --text "tr.full:nth-child(1) > td:nth-child(3)" <<<"$__UPTODOWN_RESP_PKG__"; }
@@ -518,8 +535,8 @@ build_rv() {
done
if [ ! -f "$stock_apk" ]; then return 0; fi
fi
if ! check_sig "$stock_apk" "$pkg_name"; then
abort "apk signature mismatch '$stock_apk'"
if ! OP=$(check_sig "$stock_apk" "$pkg_name" 2>&1) && ! grep -qFx "ERROR: Missing META-INF/MANIFEST.MF" <<<"$OP"; then
abort "apk signature mismatch '$stock_apk': $OP"
fi
log "${table}: ${version}"
@@ -529,12 +546,6 @@ build_rv() {
epr "You cant include/exclude microg patch as that's done by rvmm builder automatically."
p_patcher_args=("${p_patcher_args[@]//-[ei] ${microg_patch}/}")
fi
local spoof_streams_patch
spoof_streams_patch=$(grep "^Name: " <<<"$list_patches" | grep -i "spoof" | grep -i "streams" || :) spoof_streams_patch=${spoof_streams_patch#*: }
if [ -n "$spoof_streams_patch" ] && [[ ${p_patcher_args[*]} =~ $spoof_streams_patch ]]; then
epr "You cant include/exclude spoof stream patch as that's done by rvmm builder automatically."
p_patcher_args=("${p_patcher_args[@]//-[ei] ${spoof_streams_patch}/}")
fi
local patcher_args patched_apk build_mode
local rv_brand_f=${args[rv_brand],,}
@@ -543,7 +554,7 @@ build_rv() {
for build_mode in "${build_mode_arr[@]}"; do
patcher_args=("${p_patcher_args[@]}")
pr "Building '${table}' in '$build_mode' mode"
if [ -n "$microg_patch" ] || [ -n "$spoof_streams_patch" ]; then
if [ -n "$microg_patch" ]; then
patched_apk="${TEMP_DIR}/${app_name_l}-${rv_brand_f}-${version_f}-${arch_f}-${build_mode}.apk"
else
patched_apk="${TEMP_DIR}/${app_name_l}-${rv_brand_f}-${version_f}-${arch_f}.apk"
@@ -555,13 +566,6 @@ build_rv() {
patcher_args+=("-d \"${microg_patch}\"")
fi
fi
if [ -n "$spoof_streams_patch" ]; then
if [ "$build_mode" = apk ]; then
patcher_args+=("-e \"${spoof_streams_patch}\"")
elif [ "$build_mode" = module ]; then
patcher_args+=("-d \"${spoof_streams_patch}\"")
fi
fi
if [ "${args[riplib]}" = true ]; then
patcher_args+=("--rip-lib x86_64 --rip-lib x86")
if [ "$build_mode" = module ]; then
@@ -592,10 +596,12 @@ build_rv() {
local upj="${table,,}-update.json"
module_config "$base_template" "$pkg_name" "$version" "$arch"
local rv_patches_ver="${rv_patches_jar##*-}"
module_prop \
"${args[module_prop_name]}" \
"${app_name} ${args[rv_brand]}" \
"$version" \
"${version} (patches: ${rv_patches_ver%%.rvp})" \
"${app_name} ${args[rv_brand]} Magisk module" \
"https://raw.githubusercontent.com/${GITHUB_REPOSITORY-}/update/${upj}" \
"$base_template"
@@ -628,7 +634,7 @@ MODULE_ARCH=$ma" >"$1/config"
module_prop() {
echo "id=${1}
name=${2}
version=v${3} (${NEXT_VER_CODE})
version=v${3}
versionCode=${NEXT_VER_CODE}
author=j-hc
description=${4}" >"${6}/module.prop"